#include <bits/stdc++.h>
#define en '\n'
#define fi first
#define se second
#define pii pair<int,int>

using namespace std;

int main()
{
    int n; cin >> n;
    vector<pair<int,int>> s(n);
    for(int i = 0; i < n; i++) cin >> s[i].fi >> s[i].se;
    map<pii,bool> mp;
    long long ans = 0;
    for(int a = 0; a < n; a++)
    {
        for(int b = 0; b < n; b++)
        {
            if(a!=b){
            int x = (s[b].fi - s[a].fi);
            int y = (s[b].se - s[a].se);
            mp[make_pair(x,y)]=1;}
        }
    }

    for(int c = 0; c < n; c++)
    {
        for(int d = 0; d < n; d++)
        {
            if(d!=c){
            int x = s[c].fi - s[d].fi;
            int y = s[c].se - s[d].se;
            if(mp[make_pair(2*x,2*y)]) ans++;}
        }
    }

    cout << ans/2;
}